SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
spdio_t Struct Reference
Ameba SDK » HAL » SPDIO

## Data Fields
void * | priv
u32 | tx_bd_num
u32 | rx_bd_num
u32 | rx_bd_bufsz
struct spdio_buf_t * | rx_buf
char(* | rx_done_cb )(void *priv, void *pbuf, u8 *pdata, u16 size, u8 type)
| pointer to callback function defined by user, called by spdio when one packet receive done More...
char(* | tx_done_cb )(void *priv, void *pbuf)
| pointer to callback function defined by user, called by spdio when one packet sent done More...

The documentation for this struct was generated from the following file:

- spdio_api.h